"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var fs = require("fs");
exports.schemaFromExport = function (file) {
    console.log("Loading GraphQL Introspection from JavaScript ES6 export: " + file + "...");
    return new Promise(function (resolve, reject) {
        if (fs.existsSync(file)) {
            try {
                var exports_1 = require(file);
                if (exports_1) {
                    var schema = exports_1.default || exports_1.schema;
                    if (schema) {
                        resolve(schema);
                    }
                    else {
                        reject(new Error("Invalid export from export file " + file + ": missing default export or 'schema' export!"));
                    }
                }
                else {
                    reject(new Error("Invalid export from export file " + file + ": empty export!"));
                }
            }
            catch (e) {
                reject(e);
            }
        }
        else {
            reject("Unable to locate introspection from export file: " + file);
        }
    });
};
//# sourceMappingURL=schema-from-export.js.map